diff --git a/arch-user/config/profile.part b/arch-user/config/profile.part
index a9ea8fb..6eb3caf 100644
--- a/arch-user/config/profile.part
+++ b/arch-user/config/profile.part
@@ -1,4 +1,4 @@
 #!/bin/bash
 
-export SESSION_START_COMMAND=sway
+export SESSION_START_COMMAND="sway --unsupported-gpu"
 export PATH=$PATH:~/.local/bin
diff --git a/arch-user/config/sway/config.tmpl b/arch-user/config/sway/config.tmpl
index 46029d3..8dbd3b2 100644
--- a/arch-user/config/sway/config.tmpl
+++ b/arch-user/config/sway/config.tmpl
@@ -44,7 +44,7 @@ input "type:keyboard" {
 	xkb_layout us(yz),ru(yz)
 	repeat_rate 50
 }
-bindsym --to-code Shift+ISO_Level3_Shift input "type:keyboard" xkb_switch_layout next; exec pkill -SIGRTMIN+1 i3blocks
+bindsym --to-code Super_L input "type:keyboard" xkb_switch_layout next; exec pkill -SIGRTMIN+1 i3blocks
 input "type:touchpad" {
 	tap enabled
 	natural_scroll enabled
diff --git a/arch-user/install.sh b/arch-user/install.sh
index bdef44c..2b3d067 100644
--- a/arch-user/install.sh
+++ b/arch-user/install.sh
@@ -58,4 +58,6 @@ sed '/^#/d' config/bemenu/config.sh >> ~/.profile
 cp_subst data/qutebrowser/start.html.tmpl ~/.local/share/qutebrowser/start.html
 ###############################
 
-swaymsg reload
+swaymsg reload || true
+
+echo ok